Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser
Summary: PDF::Reuse under plack writes to console STDOUT instead to browser
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Dobrica Pavlinusic
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks: 7172
  Show dependency treegraph
 
Reported: 2012-04-12 21:33 UTC by Dobrica Pavlinusic
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser (2.13 KB, patch)
2012-04-12 22:21 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser (2.16 KB, patch)
2012-06-01 19:24 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
[Signed-off] Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser (2.23 KB, patch)
2012-06-09 15:32 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser (2.09 KB, patch)
2012-06-10 11:29 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review
Bug 7952 - PDF::Reuse under plack writes to console STDOUT instead to browser (2.15 KB, patch)
2012-06-10 15:08 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 7952 - followup to fix t/Creators.t (1.41 KB, patch)
2012-06-14 12:02 UTC, Dobrica Pavlinusic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Dobrica Pavlinusic 2012-04-12 21:33:28 UTC

    
Comment 1 Dobrica Pavlinusic 2012-04-12 22:21:49 UTC Comment hidden (obsolete)
Comment 2 Paul Poulain 2012-06-01 17:45:52 UTC
QA comment:
 * there is an unconditional warn added:
+    warn "## Name [$opts{Name}] $fh";

please remove it of write $ENV{DEBUG} and warn "## Name [$opts{Name}] $fh";
Comment 3 Dobrica Pavlinusic 2012-06-01 19:24:49 UTC Comment hidden (obsolete)
Comment 4 Alex Arnaud 2012-06-09 15:32:59 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2012-06-10 11:04:01 UTC
QA comment:
 * sorry about that, but there's an unconditionnal warn:
+    warn "## Name [$opts{Name}] $fh";

so, failed QA until you've removed it (or $ENV{DEBUG} &&...)

Other than this, tiny patch, will pass QA
Comment 6 Dobrica Pavlinusic 2012-06-10 11:29:06 UTC Comment hidden (obsolete)
Comment 7 Dobrica Pavlinusic 2012-06-10 11:33:37 UTC
Sorry about that. It seems that I wanted to add $ENV{DEBUG} around that warn (and even included it in commit message) but never changed code. On second look, I think it's not really useful to anyone expect me while development so it's removed -- less cruft, more kittens!
Comment 8 Chris Cormack 2012-06-10 15:08:26 UTC Comment hidden (obsolete)
Comment 9 Paul Poulain 2012-06-11 16:22:40 UTC
QA comment: this time it's OK, nothing to object !
Comment 10 Paul Poulain 2012-06-11 16:24:51 UTC
Patch pushed (I haven't tested it, I have no patron cards on y test database)
Comment 11 Chris Cormack 2012-06-12 06:32:08 UTC
This now needs a follow up to correct the behaviour in t/Creators.t
Comment 12 Dobrica Pavlinusic 2012-06-14 12:02:05 UTC
Created attachment 10278 [details] [review]
Bug 7952 - followup to fix t/Creators.t

Since we are now using temporary file, we are creating test.pdf
at end of test and checking if it exists and have non-zero size.
Comment 13 Paul Poulain 2012-06-14 13:54:49 UTC
Trivial follow-up, make test working, will signoff/pass QA/push in one go
Comment 14 Chris Cormack 2012-06-15 19:02:36 UTC
Pushed both the original and follow up to 3.8.x, will be in 3.8.2